Issue/top up a card or order a service
curl --request POST \
--url https://business.planewallet.org/api/v1/operations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"productId": "<string>",
"amount": "50.00",
"expectedTotal": "50.00",
"holderId": "<string>",
"cardId": "<string>",
"name": "<string>",
"recipient": "<string>"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
productId: '<string>',
amount: '50.00',
expectedTotal: '50.00',
holderId: '<string>',
cardId: '<string>',
name: '<string>',
recipient: '<string>'
})
};
fetch('https://business.planewallet.org/api/v1/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/operations"
payload = {
"productId": "<string>",
"amount": "50.00",
"expectedTotal": "50.00",
"holderId": "<string>",
"cardId": "<string>",
"name": "<string>",
"recipient": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"type": "<string>",
"status": "<string>",
"amount": "50.00",
"fee": "50.00",
"total": "50.00",
"result": {
"cardId": "<string>",
"receipt": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 123,
"message": "<string>"
}Operations
Issue/top up a card or order a service
Required permission: cards:write or services:write. Sandbox is isolated from live funds. Live integration availability is checked server-side.
POST
/
api
/
v1
/
operations
Issue/top up a card or order a service
curl --request POST \
--url https://business.planewallet.org/api/v1/operations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"productId": "<string>",
"amount": "50.00",
"expectedTotal": "50.00",
"holderId": "<string>",
"cardId": "<string>",
"name": "<string>",
"recipient": "<string>"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
productId: '<string>',
amount: '50.00',
expectedTotal: '50.00',
holderId: '<string>',
cardId: '<string>',
name: '<string>',
recipient: '<string>'
})
};
fetch('https://business.planewallet.org/api/v1/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/operations"
payload = {
"productId": "<string>",
"amount": "50.00",
"expectedTotal": "50.00",
"holderId": "<string>",
"cardId": "<string>",
"name": "<string>",
"recipient": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"type": "<string>",
"status": "<string>",
"amount": "50.00",
"fee": "50.00",
"total": "50.00",
"result": {
"cardId": "<string>",
"receipt": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 123,
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Maximum string length:
128Body
application/json
Available options:
issue, topup, service Pattern:
^\d+(\.\d{1,2})?$Example:
"50.00"
Pattern:
^\d+(\.\d{1,2})?$Example:
"50.00"
Required for issue
Required for topup
Required for service